Debian Bug report logs - #467649
libalgorithm-annotate-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone

version graph

Package: libalgorithm-annotate-perl; Maintainer for libalgorithm-annotate-perl is Bastian Blank <waldi@debian.org>;

Reported by: ntyni@debian.org

Date: Tue, 26 Feb 2008 17:54:17 UTC

Severity: important

Tags: patch

Found in version libalgorithm-annotate-perl/0.10-1

Fixed in version libalgorithm-annotate-perl/0.10-1.1

Done: Stephen Gran <sgran@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Bastian Blank <waldi@debian.org>:
Bug#467649; Package libalgorithm-annotate-perl. Full text and rfc822 format available.

Acknowledgement sent to ntyni@debian.org:
New Bug report received and forwarded. Copy sent to Bastian Blank <waldi@debian.org>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: ntyni@debian.org
To: maintonly@bugs.debian.org
Subject: libalgorithm-annotate-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone
Date: Tue, 26 Feb 2008 19:53:12 +0200
Package: libalgorithm-annotate-perl
Version: 0.10-1
Severity: important
User: debian-perl@lists.debian.org
Usertags: perl-5.10-ftbfs-rmdir

This package fails to build with Perl 5.10.0 (currently in
experimental) because of a bug in debian/rules that has been
uncovered by a change in ExtUtils::Install.

Until Perl 5.10.0, ExtUtils::Install had a bug that created an empty
/usr/lib/perl5 or /usr/share/perl5 directory when 'make install' was
run. This package fails to build because it relies on the presence of
this empty directory, usually by trying to remove it without checking
if it exists first.

The suggested fix for the usual 'unconditional rmdir' case is to use
a conditional like

[ ! -d $(TMP)/usr/lib/perl5 ] || rmdir --ignore-fail-on-non-empty
--parents --verbose $(TMP)/usr/lib/perl5

See the current dh-make-perl templates.

Please treat this bug as 'serious' already: Perl 5.10.0 is scheduled
for unstable in a week or so.

Details about the ExtUtils::Install change can be found in #465783. 
-- 
Niko Tyni   ntyni@debian.org





Information forwarded to debian-bugs-dist@lists.debian.org, Bastian Blank <waldi@debian.org>:
Bug#467649; Package libalgorithm-annotate-perl. Full text and rfc822 format available.

Acknowledgement sent to Stephen Gran <sgran@debian.org>:
Extra info received and forwarded to list. Copy sent to Bastian Blank <waldi@debian.org>. Full text and rfc822 format available.

Message #10 received at 467649@bugs.debian.org (full text, mbox):

From: Stephen Gran <sgran@debian.org>
To: 467649@bugs.debian.org
Subject: libalgorithm-annotate-perl: diff for NMU version 0.10-1.1
Date: Sat, 5 Apr 2008 12:59:29 +0100
[Message part 1 (text/plain, inline)]
tags 467649 + patch
thanks

Hi,

Attached is the diff for my libalgorithm-annotate-perl 0.10-1.1 NMU.

Cheers,
-- 
 -----------------------------------------------------------------
|   ,''`.                                            Stephen Gran |
|  : :' :                                        sgran@debian.org |
|  `. `'                        Debian user, admin, and developer |
|    `-                                     http://www.debian.org |
 -----------------------------------------------------------------
[libalgorithm-annotate-perl-0.10-1.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Stephen Gran <sgran@debian.org> to control@bugs.debian.org. (Sat, 05 Apr 2008 12:00:07 GMT) Full text and rfc822 format available.

Reply sent to Stephen Gran <sgran@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to ntyni@debian.org:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 467649-close@bugs.debian.org (full text, mbox):

From: Stephen Gran <sgran@debian.org>
To: 467649-close@bugs.debian.org
Subject: Bug#467649: fixed in libalgorithm-annotate-perl 0.10-1.1
Date: Sat, 05 Apr 2008 12:17:03 +0000
Source: libalgorithm-annotate-perl
Source-Version: 0.10-1.1

We believe that the bug you reported is fixed in the latest version of
libalgorithm-annotate-perl, which is due to be installed in the Debian FTP archive:

libalgorithm-annotate-perl_0.10-1.1.diff.gz
  to pool/main/liba/libalgorithm-annotate-perl/libalgorithm-annotate-perl_0.10-1.1.diff.gz
libalgorithm-annotate-perl_0.10-1.1.dsc
  to pool/main/liba/libalgorithm-annotate-perl/libalgorithm-annotate-perl_0.10-1.1.dsc
libalgorithm-annotate-perl_0.10-1.1_all.deb
  to pool/main/liba/libalgorithm-annotate-perl/libalgorithm-annotate-perl_0.10-1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 467649@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stephen Gran <sgran@debian.org> (supplier of updated libalgorithm-annotate-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 05 Apr 2008 12:58:26 +0100
Source: libalgorithm-annotate-perl
Binary: libalgorithm-annotate-perl
Architecture: source all
Version: 0.10-1.1
Distribution: unstable
Urgency: low
Maintainer: Bastian Blank <waldi@debian.org>
Changed-By: Stephen Gran <sgran@debian.org>
Description: 
 libalgorithm-annotate-perl - represent a series of changes in annotate form
Closes: 467649
Changes: 
 libalgorithm-annotate-perl (0.10-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Conditionally remove /usr/lib/perl5 (closes: #467649)
   * Typo fix in debian/control (simliar -> similar)
Files: 
 75b54c87489c131d9f087fa8fb2cd3e2 698 perl optional libalgorithm-annotate-perl_0.10-1.1.dsc
 00d1f6dca4af2f88326f0187e31e231d 1524 perl optional libalgorithm-annotate-perl_0.10-1.1.diff.gz
 7b0abe6c8f0a05b53f5ea0c3e402680b 4696 perl optional libalgorithm-annotate-perl_0.10-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH92nhSYIMHOpZA44RAr4MAKDa6o82Eql69bTLmZeH57k2J7f+5wCgsJyv
5WavwnylM+CNNJA0k42BzmE=
=UuTh
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 May 2008 07:43:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:41:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.